import { number, object, parse, string, union } from "valibot";
import { useScript } from "#imports";
const FacebookPixelOptions = object({
  id: union([string(), number()])
});
export function useScriptFacebookPixel(options, _scriptOptions) {
  const scriptOptions = _scriptOptions || {};
  scriptOptions.beforeInit = () => {
    if (import.meta.dev)
      parse(FacebookPixelOptions, options);
    if (import.meta.client) {
      const fbq = window.fbq = function(...params) {
        fbq.callMethod ? fbq.callMethod.apply(fbq, params) : fbq.queue.push(params);
      };
      if (!window._fbq)
        window._fbq = fbq;
      fbq.push = fbq;
      fbq.loaded = true;
      fbq.version = "2.0";
      fbq.queue = [];
      fbq("init", options?.id);
      fbq("track", "PageView");
    }
  };
  return useScript({
    key: "facebook-pixel",
    src: "https://connect.facebook.net/en_US/fbevents.js",
    defer: true
  }, {
    trigger: "onNuxtReady",
    ...scriptOptions,
    assetStrategy: "bundle",
    use() {
      return { fbq: window.fbq };
    }
  });
}
