import { type Input } from 'valibot';
import type { NuxtUseScriptOptions } from '#nuxt-scripts';
export interface HotjarApi {
    hj: ((event: 'identify', userId: string, attributes?: Record<string, any>) => void) & ((event: 'stateChange', path: string) => void) & ((event: 'event', eventName: string) => void) & ((event: string, arg?: string) => void) & ((...params: any[]) => void) & {
        q: any[];
    };
}
declare global {
    interface Window extends HotjarApi {
        _hjSettings: {
            hjid: number;
            hjsv?: number;
        };
    }
}
declare const HotjarOptions: import("valibot").ObjectSchema<{
    id: import("valibot").NumberSchema<number>;
    sv: import("valibot").OptionalSchema<import("valibot").NumberSchema<number>, undefined, number | undefined>;
}, undefined, {
    id: number;
    sv?: number | undefined;
}>;
export declare function useScriptHotjar<T extends HotjarApi>(options?: Input<typeof HotjarOptions>, _scriptOptions?: Omit<NuxtUseScriptOptions<T>, 'beforeInit' | 'use'>): any;
export {};
