import { number, object, optional, parse } from "valibot";
import { useScript } from "#imports";
const HotjarOptions = object({
  id: number(),
  sv: optional(number())
});
export function useScriptHotjar(options, _scriptOptions) {
  const scriptOptions = _scriptOptions || {};
  scriptOptions.beforeInit = () => {
    if (import.meta.dev) {
      parse(HotjarOptions, options);
    }
    if (import.meta.client) {
      window._hjSettings = window._hjSettings || { hjid: options?.id, hjsv: options?.sv };
      window.hj = window.hj || function(...params) {
        (window.hj.q = window.hj.q || []).push(params);
      };
    }
  };
  return useScript({
    key: "hotjar",
    src: `https://static.hotjar.com/c/hotjar-${options?.id}.js?sv=${options?.sv}`,
    defer: true
  }, {
    trigger: "onNuxtReady",
    ...scriptOptions,
    assetStrategy: "bundle",
    use() {
      return { hj: window.hj };
    }
  });
}
